> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets the list of Gable users

> Gets the list of Gable users



## OpenAPI

````yaml /api-reference/bundled.yaml get /v0/settings/users
openapi: 3.1.0
info:
  title: Gable API
  description: >
    API to interact with the Gable platform

    ## Authorization

    All API requests require an API key to be passed in the `X-API-KEY` header.
    For instructions on finding your API key and api endpoint check out the [API
    Key documentation](../docs/api-keys.md).

    Example: `curl -H "X-API-KEY: <your-api-key>"
    https://api-{organization}.gable.ai/v0/ping`
  contact:
    name: Gable Engineering
    url: https://gable.ai
    email: engineers@gable.ai
  version: 1.28.0
servers:
  - url: https://{hostname}.gable.ai
    description: Gable API
    variables:
      hostname:
        default: demo-api
        description: Customer environment assigned by Gable
security:
  - ApiKeyAuth: []
tags:
  - name: action
  - name: api-keys
  - name: auth
  - name: changelog
  - name: config
  - name: contract
  - name: data-asset
  - name: debug
  - name: s3
  - name: settings
  - name: slack
  - name: sso
  - name: webhook
  - name: notifications
  - name: constraints
  - name: telemetry
  - name: component
  - name: components
  - name: sca
  - name: cross-service-components
  - name: lineage
  - name: events
  - name: measurements
  - name: defect-report
  - name: experimental
paths:
  /v0/settings/users:
    get:
      tags:
        - settings
      summary: Gets the list of Gable users
      description: Gets the list of Gable users
      operationId: getUsers
      responses:
        '200':
          description: Details required to create a SAML integration for Gable in an IdP
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUsersResponse'
components:
  schemas:
    GetUsersResponse:
      type: array
      items:
        $ref: '#/components/schemas/User'
    User:
      type: object
      required:
        - email
        - status
        - role
      properties:
        email:
          type: string
          description: The email address of the user
          pattern: ^[a-zA-Z0-9_.+-]+@[a-zA-Z0-9-]+\.[a-zA-Z0-9-.]+$
        firstName:
          type: string
          description: The first name of the user, if available
        lastName:
          type: string
          description: The last name of the user, if available
        githubHandle:
          type: string
          description: The GitHub handle of the user or team, if available
        status:
          $ref: '#/components/schemas/UserStatus'
          description: The status of the user
        role:
          $ref: '#/components/schemas/UserRole'
          description: The role of the user
    UserStatus:
      type: string
      enum:
        - ACTIVE
        - INVITED
        - DELETED
      description: |
        User status:

          * `active` - User accepted invitation and is active
          * `invited` - The invitation is sent to the user
          * `deleted` - The user has been deleted
    UserRole:
      type: string
      enum:
        - ADMIN
        - EDITOR
        - VIEWER
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````